# $Revision: 1.28 $, $Date: 2009/09/21 11:24:59 $
# NOTE:
# - ftp timezone test is broken. It depends on file timestamps on some remote
#   ftp machine. But these files have changed since this test was written!!!

%bcond_with		tests		# tests are broken. see note above.
%bcond_without	javadoc		# don't build javadoc

%if "%{pld_release}" == "ti"
%bcond_without java_sun        # build with gcj
%else
%bcond_with    java_sun        # build with java-sun
%endif

%include	/usr/lib/rpm/macros.java
%define		srcname	commons-net
Summary:	Commons Net - utility functions and components
Summary(pl.UTF-8):	Commons Net - funkcje i komponenty narzędziowe
Name:		java-commons-net
Version:	2.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/net/source/commons-net-%{version}-src.tar.gz
# Source0-md5:	583630202369df3cf996cbdba4d8634b
Source1:	%{name}-build.xml
URL:		http://commons.apache.org/net/
BuildRequires:	ant
%{?with_tests:BuildRequires:	ant-junit}
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{!?with_java_sun:BuildRequires:	java-gnu-classpath}
BuildRequires:	java-oro >= 2.0.8
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
%{?with_tests:BuildRequires:	junit}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-oro >= 2.0.8
Provides:	jakarta-commons-net
Obsoletes:	jakarta-commons-net
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jakarta Commons Net is a set of utility functions and reusable
components that should be a help in any Java environment.

%description -l pl.UTF-8
Jakarta Commons Net to zestaw funkcji narzędziowych i komponentów
wielokrotnego użycia, które mogą być pomocne w każdym środowisku Javy.

%package javadoc
Summary:	Jakarta Commons Net documentation
Summary(pl.UTF-8):	Dokumentacja do Jakarta Commons Net
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-net-javadoc

%description javadoc
Jakarta Commons Net documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Jakarta Commons Net.

%prep
%setup -q -n commons-net-%{version}-src

%build

cp %{SOURCE1} build.xml

# java.util.regexp from libgcj-4.3 does not provide Mather.toMatchResult()
# method, so we have to use one provided by glibj (from gnu-classpath).
# toMatchResult is implemented in libgcj-4.4, so most probably, when gcc-4.4
# will be released, we can drop gnu-classpath dependency

%if %{without java_sun}
  glibj_jar=$(find-jar glibj)
%endif

%if %{with java_sun}
%define compiler sun
%else
%define compiler gcj
%endif

CLASSPATH=$(build-classpath oro)

%ant clean compile-%{compiler} jar \
	-Dversion=%{version} \
	%{!?with_java_sun:-Dbootstrap=$glibj_jar} \

%if %{with tests}
CLASSPATH=$CLASSPATH:$(build-classpath junit)
%ant tests-compile-%{compiler} tests \
	-Dversion=%{version} \
	%{!?with_java_sun:-Dbootstrap=$glibj_jar} \
%endif

%if %{with javadoc}
%javadoc -d apidocs \
	%{?with_java_sun:org.apache.commons.net} \
	$(find src/main/java/org -name '*.java')
%endif

%jar -cf %{srcname}-%{version}.jar -C build .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{srcname}-%{version}}

install %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%if %{with javadoc}
cp -R apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-net.spec,v $
Revision 1.28  2009/09/21 11:24:59  glen
- disable tests in sane way

Revision 1.27  2009/09/20 16:24:50  pawelz
- disable tests. They use network AND thay are broken.
  See "NOTE" in spec file for more details.
- rel 1

Revision 1.26  2009/05/20 12:57:03  pawelz
- s/jakarta-oro/java-oro/

Revision 1.25  2009/03/30 20:36:49  pawelz
- build using ant
- now it builds with both jdks
- jdk bcond
- some BRs
- enable test by default
- TODO: tests fails

Revision 1.24  2009/03/26 18:59:29  paszczus
- use install instead of mkdir

Revision 1.23  2009/03/24 11:02:58  glen
- typo

Revision 1.22  2009/03/24 08:20:17  pawelz
- post for javadoc

Revision 1.21  2009/03/24 08:17:59  pawelz
- fix build without java_sun.

Revision 1.20  2009/03/22 00:36:55  pawelz
- added TODO (does not build with java-gcj-compat-devel)

Revision 1.19  2009/03/22 00:31:39  pawelz
- up to 2.0
- renamed from java-commons-net
- maven sux. It is realy easier to build it manually
- unified

Revision 1.18  2009/02/02 12:22:45  glen
- rename package, groups, drop ea

Revision 1.17  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.15  2007/01/07 14:18:36  qboosh
- tests succeed for me, so it probably depends on system/environment

Revision 1.14  2006/12/08 01:30:29  glen
- proper ant BR; rel 3

Revision 1.13  2006/12/08 01:08:55  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.12  2006/05/26 11:39:24  qboosh
- cleanup

Revision 1.11  2006/05/26 11:25:28  jajcus
- tests disabled, as they fail (no good, but better faulty package, that none)
- BRs updated
- ExclusiveArch
- javadoc subpackages

Revision 1.10  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.9  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.8  2005/12/10 17:57:52  qboosh
- updated to 1.4.1

Revision 1.7  2005/05/08 19:04:13  qboosh
- updated to 1.4.0, removed obsolete source1.4 patch
- needs ant with junit support

Revision 1.6  2005/02/12 18:22:28  blues
- added source1.4 patch, make it build

Revision 1.5  2005/02/11 11:07:05  blues
- no net subdir

Revision 1.4  2004/12/14 16:32:31  baggins
- BR jaxp

Revision 1.3  2004/12/14 16:08:55  baggins
- forced ant not to download anything

Revision 1.2  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.1  2004/12/14 13:11:33  baggins
- initial revision
